if (typeof Video == 'undefined') {
	nicoro.log('Video not found');
	var watchAPIDataContainer = document.getElementById('watchAPIDataContainer');
	if (watchAPIDataContainer == null) {
		nicoro.log('watchAPIDataContainer not found');
		nicoro.failReadVideo(document.URL);
	} else {
		nicoro.readWatchAPIDataContainer(document.URL, watchAPIDataContainer.innerText);
	}
} else {
	nicoro.startReadVideo(document.URL);
	for (var prop in Video) {
		nicoro.readVideo(prop, Video[prop]);
	}
	nicoro.endReadVideo();
}